function [features] = feature_extract(data,window_size,n_decomp,cumulant_start,cumulant_end)
    l_data = length(data);
    data_points = floor(l_data/window_size);
    n = 1;
    while(n <= data_points)
        windowed_data = data(1+(n-1)*window_size:n*window_size);
        wdata = swt(windowed_data,n_decomp,'db5');    
        i = 1;
        while(i <= n_decomp+1)
            swt_data = wdata(i,:);
            dummy((i-1)*(cumulant_end-cumulant_start+1)+1:i*(cumulant_end-cumulant_start+1)) = cumulants(swt_data,cumulant_start,cumulant_end);
            i = i + 1;
        end
        features(n,:) = dummy;
        n = n + 1;
    end 
end